# RaptPill

### Requirements:

* Your RaptPill is registered on <https://app.rapt.io/>.
* The setup guide for the RAPTPill is available in [English.](https://mashcamp.shop/wp-content/uploads/2023/05/KL20596_-_RAPT_Pill_Hydrometer_and_Thermometer_Quick_Start_Guide.pdf)

### Steps

1. Log in to the portal <https://app.rapt.io/>.
2. Select "Custom Webhook"\
   ![](/files/IsFgJpLE4hy7HMhLydWI)
3. Set a "name" and a "description" as you'd like. Other parameters: are:&#x20;
   1. URL: <https://brewbricks.com/api/iot/v1>
   2. Method: POST
4. Payload: Copy and Paste the following, change `YOUR_API_KEY`to match your API key:

```
{ 
    "apikey": "YOUR_API_KEY",
    "type": "raptpill",
    "brand": "rapt",
    "version": "0.0.1",
    "chipid": "@device_name",
    "s_number_wort_0": @gravity,
    "s_number_temp_0": @temperature,
    "s_number_batterypercent_0": @battery,
    "s_number_wifi_0": @rssi
}
```

5. Devices: Select "RaptPill"\
   ![](/files/KhXz4LtICZFdmRF8DLiS)
6. Your RaptPill will apear on the Bricks page of your brewery:![](/files/8yT24WPZoT6hjKGbX6Yk)
7. The last step is to activate your RaptPill by hitting "Activate".
8. Head over to the [Equipment](https://bricks.bierbot.com/#/brewery/equipment)-Section, and assign the temperature and gravity interfaces to your fermenter by drag & dropping. If you do not have a fermenter yet, create  one by clicking "Create Device".

Congrats! You're done.

### Where to buy your RaptPill?

* Offical Website / buy it straight from the creators: [https://www.kegland.com](https://www.kegland.com.au/products/yellow-rapt-pill-hydrometer-thermometer-wifi-bluetooth)
* [MashCamp](https://mashcamp.shop/shop/brauanlagen/gaerbehaelter/kontrollierte-gaerfuehrung/kegland-rapt-pill-digitaler-hydrometer-und-thermometer/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bierbot.com/hardware/hardware/raptpill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
